#include<stdio.h>
int main (){
	
	int a,b;
	scanf("%d %d",&a,&b);
	
	int x,y;
	scanf("%d %d",&x,&y);
	
	int p= a-x;
	int v= b-y;
	
	if(p>0 && v==0){
		
		printf("prvi");
		
	}
	
	else if(p==0 && v>0){
		
		printf("drugi");
		
	}
	else if(p==0 && v==0){
		
		printf("nijedan");
		
	}
	else if(p>0 && v>0){
		
		printf("?");
		
	}
	
	return 0;
}